View Issue Details

IDProjectCategoryView StatusLast Update
0000912Управление предприятием (бюджетирование)[All Projects] Generalpublic2019-12-02 17:40
ReporterruslanAssigned Tobarry 
PriorityhighSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Summary0000912: +Гранит-Управление предприятием(бюджетирование)- Новая логика для массовой регистации факта Расходных накладных
DescriptionВ форме для регистрации нескольких документов добавить флаг "Доходы и затраты по справочнику Параметры"(при установке флага деактивировать комбобоксы для выбора Статья Затрат/Статья Доходов).
Изменения в логике массовой регистрации:
 При установке флага, когда происходит регистация документа, необходимо разделить суммы регистации доходов и затрат по товару по принадлежности к параметру указанному в Справочнике Товары -Параметры как Регист. факта. по соответствующим указанным статьям Доходов и Затрат. Аналогично, как сейчас делается при единичной регистрации для разных групп товара, только в автоматическом режиме.
Tagsбюджетирование

Relationships

related to 0000909 closedbarry Справочники +Склад-Справочники Товары-Справочники Параметры - признак "Регистрация факт" для управленческого учета 
related to 0000908 feedbackbarry Управление предприятием (бюджетирование) +Гранит-Управление предприятием(бюджетирование)- Новый справочник- Параметры товара для регистрации факт. 

Activities

ruslan

2016-02-04 11:32

manager   ~0002266

Для накладных у которых общая сумма документа не совпадает с суммой регистрации(т.е. были товара не связанные ни с одним параметром товара с типом Регистрация факт) графически помечать управленческий документ...

barry

2016-09-20 11:43

administrator   ~0002436

А зачем флаг, если параметры связывали...

barry

2016-09-20 11:48

administrator   ~0002437

связь товаров ни с одним параметром... может же быть не привязана еще статья доходов или расходов... что тут конкретно имеется ввиду
или сумма может пойти без доходов и расходов

ruslan

2016-09-20 15:08

manager   ~0002440

Last edited: 2016-09-20 15:09

View 3 revisions

<цитата> -А зачем флаг, если параметры связывали...</цитата> - флаг - ОБЯЗЯТЕЛЬНО - это признак именно такой регистрации факта по параметрам, а может быть и "классический" вариант массовой регистрации.
<цитата> связь товаров ни с одним параметром... может же быть не привязана еще статья доходов или расходов... что тут конкретно имеется ввиду </цитата>
ну я вижу такой вариант- по документу расходная накладная у нас есть две основные экономические суммы - сумма реализации(которая будет зарегистрирована как доход) и сумма себестоимости(которая будет зарегистрирована как затраты), т.к. параметров к которым привязаны товары в накладной будет несколько, соответственно и сумм регистрации будет несколько по доходам и затратам. Проверочный механизм при регистрации будет проверять сумму регистрации доходов с суммой реализации документа и сумму по входной цене с суммой регистарции затрат, и при расхождении любой из сумму ставить признак в таблице obj_class по документу. Так мы сможем отследить любуб ситуацию - не назначены обе статьи или только одна из них в справочнике Параметров или по товару вообще не назначен параметр!

barry

2016-09-20 21:20

administrator   ~0002443

А обе статьи - это обязательно должно быть назначено, или нормально когда одна из них используется.
---
Проверка делается именно при операции регистрации я так понял, выставляется
признак. Динамически это отслеживать не надо.
---
Товар может не иметь параметра, в параметре может быть не указана статья доходов или расходов... Это достаточное условие чтобы проверка не прошла? Или есть еще причины.
Или по другому - товар с параметром у которого указаны обе статьи. Это достаточное условие чтобы проверка прошла? Или есть еще причины.

ruslan

2016-09-21 08:15

manager   ~0002444

А обе статьи - это обязательно должно быть назначено, или нормально когда одна из них используется.
---
Обе обязательно!

Проверка делается именно при операции регистрации я так понял, выставляется
признак. Динамически это отслеживать не надо.
---
Нет не надо, только в момент регистрации как признак изменения логики регистрации.

Товар может не иметь параметра, в параметре может быть не указана статья доходов или расходов... Это достаточное условие чтобы проверка не прошла? Или есть еще причины.
Или по другому - товар с параметром у которого указаны обе статьи. Это достаточное условие чтобы проверка прошла? Или есть еще причины.
------------
Все товары в накладной с указанными параметрами и статьями затрат/доходов - это достаточный признак.

barry

2016-10-20 20:42

administrator   ~0002446

bdgt32.zip
mebl_ib5.zip
без услуг пока

barry

2016-10-26 11:35

administrator   ~0002447

mebl_ib5.zip

Issue History

Date Modified Username Field Change
2016-02-04 11:02 ruslan New Issue
2016-02-04 11:03 ruslan Relationship added related to 0000909
2016-02-04 11:03 ruslan Relationship added related to 0000908
2016-02-04 11:32 ruslan Note Added: 0002266
2016-09-08 11:47 ruslan Project ГРАНИТ => Управление предприятием (бюджетирование)
2016-09-20 11:43 barry Note Added: 0002436
2016-09-20 11:48 barry Note Added: 0002437
2016-09-20 15:08 ruslan Note Added: 0002440
2016-09-20 15:08 ruslan Note Edited: 0002440 View Revisions
2016-09-20 15:09 ruslan Note Edited: 0002440 View Revisions
2016-09-20 21:20 barry Note Added: 0002443
2016-09-21 08:15 ruslan Note Added: 0002444
2016-10-20 20:42 barry Note Added: 0002446
2016-10-20 20:43 barry Assigned To => barry
2016-10-20 20:43 barry Status new => feedback
2016-10-26 11:35 barry Note Added: 0002447
2016-11-02 12:52 ruslan Status feedback => resolved
2016-11-02 12:52 ruslan Resolution open => fixed
2016-12-05 11:57 ruslan Status resolved => closed
2019-12-02 17:40 barry Tag Attached: бюджетирование